Skip to main content
PUT
Apply code edit

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

path
string
required

Path to the file to edit (relative to workspace)

Body

application/json

Code edit request

codeEdit
string
required
Example:

"// Add world parameter\nfunction hello(world) {\n console.log('Hello', world);\n}"

model
string
Example:

"auto"

Response

Code edit applied successfully

message
string
Example:

"Code edit applied successfully"

originalContent
string
Example:

"function hello() {\n console.log('Hello');\n}"

path
string
Example:

"src/main.js"

provider
string
Example:

"Relace"

success
boolean
Example:

true

updatedContent
string
Example:

"function hello(world) {\n console.log('Hello', world);\n}"

Last modified on June 16, 2026